// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.Gui.OptionPanels {
    
    
    internal partial class TextStylePolicyPanelWidget {
        
        private Gtk.VBox vbox1;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label1;
        
        private Gtk.SpinButton columnWidthSpin;
        
        private Gtk.Label label5;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label6;
        
        private Gtk.ComboBox lineEndingCombo;
        
        private Gtk.Alignment alignment2;
        
        private Gtk.Label label3;
        
        private Gtk.Alignment alignment1;
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Label label7;
        
        private Gtk.SpinButton tabWidthSpin;
        
        private Gtk.Label label8;
        
        private Gtk.CheckButton tabsToSpaceCheck;
        
        private Gtk.CheckButton tabsAfterNonTabsCheck;
        
        private Gtk.CheckButton removeTrailingWhitespaceCheck;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.Gui.OptionPanels.TextStylePolicyPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Ide.Gui.OptionPanels.TextStylePolicyPanelWidget";
            // Container child MonoDevelop.Ide.Gui.OptionPanels.TextStylePolicyPanelWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Desired _file width:");
            this.label1.UseUnderline = true;
            this.hbox1.Add(this.label1);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.hbox1[this.label1]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.columnWidthSpin = new Gtk.SpinButton(0, 1000, 1);
            this.columnWidthSpin.CanFocus = true;
            this.columnWidthSpin.Name = "columnWidthSpin";
            this.columnWidthSpin.Adjustment.PageIncrement = 10;
            this.columnWidthSpin.ClimbRate = 1;
            this.columnWidthSpin.Numeric = true;
            this.columnWidthSpin.Value = 120;
            this.hbox1.Add(this.columnWidthSpin);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.columnWidthSpin]));
            w2.Position = 1;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("columns");
            this.hbox1.Add(this.label5);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.label5]));
            w3.Position = 2;
            w3.Expand = false;
            w3.Fill = false;
            this.vbox1.Add(this.hbox1);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox1[this.hbox1]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label6 = new Gtk.Label();
            this.label6.Name = "label6";
            this.label6.LabelProp = Mono.Unix.Catalog.GetString("_Line endings:");
            this.label6.UseUnderline = true;
            this.hbox2.Add(this.label6);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.hbox2[this.label6]));
            w5.Position = 0;
            w5.Expand = false;
            w5.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.lineEndingCombo = Gtk.ComboBox.NewText();
            this.lineEndingCombo.Name = "lineEndingCombo";
            this.hbox2.Add(this.lineEndingCombo);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox2[this.lineEndingCombo]));
            w6.Position = 1;
            w6.Expand = false;
            w6.Fill = false;
            this.vbox1.Add(this.hbox2);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbox1[this.hbox2]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment2 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment2.Name = "alignment2";
            this.alignment2.TopPadding = ((uint)(6));
            // Container child alignment2.Gtk.Container+ContainerChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("<b>Whitespace</b>");
            this.label3.UseMarkup = true;
            this.alignment2.Add(this.label3);
            this.vbox1.Add(this.alignment2);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment2]));
            w9.Position = 2;
            w9.Expand = false;
            w9.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment1 = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.alignment1.Name = "alignment1";
            this.alignment1.LeftPadding = ((uint)(12));
            // Container child alignment1.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.label7.LabelProp = Mono.Unix.Catalog.GetString("_Tab width:");
            this.label7.UseUnderline = true;
            this.hbox3.Add(this.label7);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox3[this.label7]));
            w10.Position = 0;
            w10.Expand = false;
            w10.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.tabWidthSpin = new Gtk.SpinButton(1, 50, 1);
            this.tabWidthSpin.CanFocus = true;
            this.tabWidthSpin.Name = "tabWidthSpin";
            this.tabWidthSpin.Adjustment.PageIncrement = 2;
            this.tabWidthSpin.ClimbRate = 1;
            this.tabWidthSpin.Numeric = true;
            this.tabWidthSpin.Value = 4;
            this.hbox3.Add(this.tabWidthSpin);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox3[this.tabWidthSpin]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.label8 = new Gtk.Label();
            this.label8.Name = "label8";
            this.label8.LabelProp = Mono.Unix.Catalog.GetString("spaces");
            this.hbox3.Add(this.label8);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.hbox3[this.label8]));
            w12.Position = 2;
            w12.Expand = false;
            w12.Fill = false;
            this.vbox2.Add(this.hbox3);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox3]));
            w13.Position = 0;
            w13.Expand = false;
            w13.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.tabsToSpaceCheck = new Gtk.CheckButton();
            this.tabsToSpaceCheck.CanFocus = true;
            this.tabsToSpaceCheck.Name = "tabsToSpaceCheck";
            this.tabsToSpaceCheck.Label = Mono.Unix.Catalog.GetString("_Convert tabs to spaces");
            this.tabsToSpaceCheck.DrawIndicator = true;
            this.tabsToSpaceCheck.UseUnderline = true;
            this.vbox2.Add(this.tabsToSpaceCheck);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.vbox2[this.tabsToSpaceCheck]));
            w14.Position = 1;
            w14.Expand = false;
            w14.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.tabsAfterNonTabsCheck = new Gtk.CheckButton();
            this.tabsAfterNonTabsCheck.CanFocus = true;
            this.tabsAfterNonTabsCheck.Name = "tabsAfterNonTabsCheck";
            this.tabsAfterNonTabsCheck.Label = Mono.Unix.Catalog.GetString("_Allow tabs after non-tabs");
            this.tabsAfterNonTabsCheck.DrawIndicator = true;
            this.tabsAfterNonTabsCheck.UseUnderline = true;
            this.vbox2.Add(this.tabsAfterNonTabsCheck);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox2[this.tabsAfterNonTabsCheck]));
            w15.Position = 2;
            w15.Expand = false;
            w15.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.removeTrailingWhitespaceCheck = new Gtk.CheckButton();
            this.removeTrailingWhitespaceCheck.CanFocus = true;
            this.removeTrailingWhitespaceCheck.Name = "removeTrailingWhitespaceCheck";
            this.removeTrailingWhitespaceCheck.Label = Mono.Unix.Catalog.GetString("_Remove trailing whitespace");
            this.removeTrailingWhitespaceCheck.DrawIndicator = true;
            this.removeTrailingWhitespaceCheck.UseUnderline = true;
            this.vbox2.Add(this.removeTrailingWhitespaceCheck);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.vbox2[this.removeTrailingWhitespaceCheck]));
            w16.Position = 3;
            w16.Expand = false;
            w16.Fill = false;
            this.alignment1.Add(this.vbox2);
            this.vbox1.Add(this.alignment1);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment1]));
            w18.Position = 3;
            w18.Expand = false;
            w18.Fill = false;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.label7.MnemonicWidget = this.tabWidthSpin;
            this.Hide();
            this.columnWidthSpin.ValueChanged += new System.EventHandler(this.UpdateState);
            this.lineEndingCombo.Changed += new System.EventHandler(this.UpdateState);
            this.tabWidthSpin.ValueChanged += new System.EventHandler(this.UpdateState);
            this.tabsToSpaceCheck.Toggled += new System.EventHandler(this.UpdateState);
            this.tabsAfterNonTabsCheck.Toggled += new System.EventHandler(this.UpdateState);
            this.removeTrailingWhitespaceCheck.Toggled += new System.EventHandler(this.UpdateState);
        }
    }
}
